Summary:	A Usenet binary autoposter
Name:		newspost
Version:	2.1.1
Release:	%mkrel 11
URL:		http://newspost.unixcab.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		newspost-2.1.1-fix-getline-conflict.patch
Patch1:		newspost-2.1.1-cflags.patch
License:	GPLv2+
Group:		Networking/News

%description
Newspost is a Usenet binary autoposter for Unix.

Using newspost, it is a one command job to uuencode and post as many
binary files as you like to your favorite newsgroup.

It supports all the features you'd expect from a binary autoposter,
including authentication, posting to multiple newsgroups (cross-posting),
and all the rest. And of course you can save your settings as default
so you don't have to type in your news server every time.


%prep
%setup -q
%autopatch -p1

# do not strip binary
sed -i -e 's|-strip newspost||g' Makefile

%build
%set_build_flags
%make_build

%install
%make_install \
	PREFIX=%{buildroot}%{_prefix} \
	MANDIR=%{buildroot}%{_mandir}/man1

%files
%doc CHANGES README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 2.1.1-11.mga8
+ Revision: 1515370
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 2.1.1-10.mga7
+ Revision: 1299731
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 cjw <cjw> 2.1.1-9.mga7
+ Revision: 1154879
- fix debug packages

* Fri Feb 12 2016 umeabot <umeabot> 2.1.1-8.mga6
+ Revision: 956244
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 2.1.1-7.mga6
+ Revision: 893653
- do not strip binary to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-6.mga5
+ Revision: 750922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-5.mga5
+ Revision: 682874
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-4.mga4
+ Revision: 508288
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 solbu <solbu> 2.1.1-2.mga3
+ Revision: 298838
- Spec cleanup
- Fix url
- Fix description.
- Don't ship COPYING

* Tue Jun 05 2012 kharec <kharec> 2.1.1-1.mga3
+ Revision: 254525
- imported package newspost

